texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/tp .cvsignore Makefile.am maintain/rege...


From: karl
Subject: texinfo/tp .cvsignore Makefile.am maintain/rege...
Date: Sun, 13 Jan 2013 18:05:00 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     karl <karl>     13/01/13 18:05:00

Modified files:
        tp             : .cvsignore Makefile.am 
Added files:
        tp/maintain    : regenerate_docstr.sh 
Removed files:
        tp/maintain    : regenerate_document_strings_make_rules.sh 

Log message:
        shorten names

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/.cvsignore?cvsroot=texinfo&r1=1.12&r2=1.13
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/Makefile.am?cvsroot=texinfo&r1=1.52&r2=1.53
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/maintain/regenerate_docstr.sh?cvsroot=texinfo&rev=1.1
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/maintain/regenerate_document_strings_make_rules.sh?cvsroot=texinfo&r1=1.3&r2=0

Patches:
Index: .cvsignore
===================================================================
RCS file: /sources/texinfo/texinfo/tp/.cvsignore,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -b -r1.12 -r1.13
--- .cvsignore  16 Nov 2012 01:26:27 -0000      1.12
+++ .cvsignore  13 Jan 2013 18:04:59 -0000      1.13
@@ -1,6 +1,6 @@
 LocaleData
 Makefile
-Makefile.documents_strings_mo_files
+Makefile.docstr
 Makefile.in
 Makefile.tres
 Texinfo-*.tar.gz

Index: Makefile.am
===================================================================
RCS file: /sources/texinfo/texinfo/tp/Makefile.am,v
retrieving revision 1.52
retrieving revision 1.53
diff -u -b -r1.52 -r1.53
--- Makefile.am 10 Dec 2012 01:34:13 -0000      1.52
+++ Makefile.am 13 Jan 2013 18:04:59 -0000      1.53
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.52 2012/12/10 01:34:13 pertusus Exp $
+# $Id: Makefile.am,v 1.53 2013/01/13 18:04:59 karl Exp $
 # Makefile.am for texinfo/tp.
 #
 # Copyright 2011, 2012 Free Software Foundation, Inc.
@@ -15,16 +15,15 @@
 include $(srcdir)/Makefile.tres
 
 # document string locales files and associated rules.
-include $(srcdir)/Makefile.documents_strings_mo_files
+include $(srcdir)/Makefile.docstr
 
 $(srcdir)/Makefile.tres: maintain/regenerate_file_lists.pl
        cd $(srcdir)/ && $(PERL) ./maintain/regenerate_file_lists.pl
 
-$(srcdir)/Makefile.documents_strings_mo_files: \
-  maintain/regenerate_document_strings_make_rules.sh \
+$(srcdir)/Makefile.docstr: maintain/regenerate_docstr.sh \
   $(srcdir)/../po_document/LINGUAS
        cd $(srcdir) \
-       && $(SHELL) ./maintain/regenerate_document_strings_make_rules.sh
+       && $(SHELL) ./maintain/regenerate_docstr.sh "$@"
 
 SUBDIRS = . tests
 

Index: maintain/regenerate_docstr.sh
===================================================================
RCS file: maintain/regenerate_docstr.sh
diff -N maintain/regenerate_docstr.sh
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ maintain/regenerate_docstr.sh       13 Jan 2013 18:04:59 -0000      1.1
@@ -0,0 +1,49 @@
+#! /bin/sh
+# $Id: regenerate_docstr.sh,v 1.1 2013/01/13 18:04:59 karl Exp $
+# Copyright 2011, 2012, 2013 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Originally written by Patrice Dumas.
+
+dir=`echo $0 | sed 's,/[^/]*$,,'`
+outfile=$1
+
+(
+cd $dir/..
+
+if [ -f ../po_document/LINGUAS ]; then :
+else
+  echo "no ../po_document/LINGUAS" 1>&2
+  exit 1
+fi
+
+: > $outfile
+for lingua in `cat ../po_document/LINGUAS`; do
+  echo '$(srcdir)/../po_document/'"$lingua.gmo"': 
$(srcdir)/../po_document/'"$lingua.po"'
+       cd $(srcdir)/../po_document/ && $(MAKE) $(AM_MAKEFLAGS) '"$lingua.gmo"'
+
+LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo: 
$(srcdir)/../po_document/'"$lingua"'.gmo LocaleData/'"$lingua"'/LC_MESSAGES
+       $(INSTALL_DATA) $(srcdir)/../po_document/'"$lingua"'.gmo $@
+
+LocaleData/'"$lingua"'/LC_MESSAGES: LocaleData/'"$lingua"'
+       $(mkdir_p) $@
+
+LocaleData/'"$lingua"': LocaleData
+       $(mkdir_p) $@
+' >> $outfile
+  dependencies="$dependencies 
"'LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo'
+done
+
+echo 'LocaleData:
+       $(mkdir_p) $@
+
+document_strings_mo_files = '"$dependencies" >> $outfile
+)
+

Index: maintain/regenerate_document_strings_make_rules.sh
===================================================================
RCS file: maintain/regenerate_document_strings_make_rules.sh
diff -N maintain/regenerate_document_strings_make_rules.sh
--- maintain/regenerate_document_strings_make_rules.sh  16 Nov 2012 18:33:03 
-0000      1.3
+++ /dev/null   1 Jan 1970 00:00:00 -0000
@@ -1,49 +0,0 @@
-#! /bin/sh
-# $Id: regenerate_document_strings_make_rules.sh,v 1.3 2012/11/16 18:33:03 
karl Exp $
-# Copyright 2011, 2012 Free Software Foundation, Inc.
-#
-# This file is free software; as a special exception the author gives
-# unlimited permission to copy and/or distribute it, with or without
-# modifications, as long as this notice is preserved.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
-# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-#
-# Originally written by Patrice Dumas.
-
-dir=`echo $0 | sed 's,/[^/]*$,,'`
-outfile=Makefile.documents_strings_mo_files
-
-(
-cd $dir/..
-
-if [ -f ../po_document/LINGUAS ]; then :
-else
-  echo "no ../po_document/LINGUAS" 1>&2
-  exit 1
-fi
-
-: > $outfile
-for lingua in `cat ../po_document/LINGUAS`; do
-  echo '$(srcdir)/../po_document/'"$lingua.gmo"': 
$(srcdir)/../po_document/'"$lingua.po"'
-       cd $(srcdir)/../po_document/ && $(MAKE) $(AM_MAKEFLAGS) '"$lingua.gmo"'
-
-LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo: 
$(srcdir)/../po_document/'"$lingua"'.gmo LocaleData/'"$lingua"'/LC_MESSAGES
-       $(INSTALL_DATA) $(srcdir)/../po_document/'"$lingua"'.gmo $@
-
-LocaleData/'"$lingua"'/LC_MESSAGES: LocaleData/'"$lingua"'
-       $(mkdir_p) $@
-
-LocaleData/'"$lingua"': LocaleData
-       $(mkdir_p) $@
-' >> $outfile
-  dependencies="$dependencies 
"'LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo'
-done
-
-echo 'LocaleData:
-       $(mkdir_p) $@
-
-document_strings_mo_files = '"$dependencies" >> $outfile
-)
-



reply via email to

[Prev in Thread] Current Thread [Next in Thread]